#
# spec file for package kdedesktopcheck
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdedesktopcheck
Version:        0.1
Release:        lp151.146.1
License:        GPL-2.0+
Summary:        Perl Script for Integrity Checks on .desktop Files
Url:            http://linux.f-seidel.de
Group:          Development/Tools/Other
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This tool is intended for quality assurance of desktop files. It does
many integrity checks on .desktop files, for example, whether icon and
executable are defined and also installed on the system.

%prep
%setup -q

%build

%install
install -d %{buildroot}%{_prefix}/bin
install kdedesktopcheck.pl %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/kdedesktopcheck.pl

%changelog
* Tue Aug  9 2011 toddrme2178@gmail.com
- Removed old commented command
- Cleaned up spec file formatting
- Removed contents of %%changelog section.
  The entries are already in the .changes file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 18 2005 fseidel@suse.de
- repeared licence and readme-file
* Wed Jul 13 2005 fseidel@suse.de
- initial release
